Bug 1298924 (CVE-2016-0737) - CVE-2016-0737 openstack-swift: Client to proxy DoS through Large Objects
Summary: CVE-2016-0737 openstack-swift: Client to proxy DoS through Large Objects
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-0737
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1299668 1299669 1299670 1299671 1300607 1300608 1308476
Blocks: 1298929 1312737
TreeView+ depends on / blocked
 
Reported: 2016-01-15 12:20 UTC by Adam Mariš
Modified: 2021-02-17 04:30 UTC (History)
35 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A memory-leak issue was found in OpenStack Object Storage (swift), in the client-to-proxy connection. An OpenStack-authenticated attacker could remotely trigger this flaw to cause denial of service through excess memory consumption.
Clone Of:
Environment:
Last Closed: 2016-03-01 10:31:37 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0126 0 normal SHIPPED_LIVE Moderate: openstack-swift security update 2016-02-08 09:35:30 UTC
Red Hat Product Errata RHSA-2016:0127 0 normal SHIPPED_LIVE Moderate: openstack-swift security update 2016-02-08 09:35:22 UTC
Red Hat Product Errata RHSA-2016:0128 0 normal SHIPPED_LIVE Moderate: openstack-swift security update 2016-02-08 09:35:11 UTC
Red Hat Product Errata RHSA-2016:0155 0 normal SHIPPED_LIVE Moderate: openstack-swift security update 2016-02-10 01:56:35 UTC
Red Hat Product Errata RHSA-2016:0328 0 normal SHIPPED_LIVE Moderate: openstack-swift security update 2016-03-01 12:02:03 UTC
Red Hat Product Errata RHSA-2016:0329 0 normal SHIPPED_LIVE Moderate: openstack-swift security update 2016-03-01 12:01:20 UTC

Description Adam Mariš 2016-01-15 12:20:58 UTC
A DoS vulnerability in openstack-swift was reported. By repeatedly requesting and interrupting connections to a Large Object (Dynamic or Static) URL, a remote attacker may exhausts Swift proxy-server resources, potentially resulting in a denial of service.

Affects versions: >=2.2.1 <= 2.3.0

Upstream patch:

https://review.openstack.org/#/c/217750/

There are similar bugs CVE-2016-0737 and CVE-2016-0738. This (CVE-2016-0737) is for client to proxy connection.

Comment 1 Adam Mariš 2016-01-15 12:26:49 UTC
Acknowledgments:

Red Hat would like to thank Openstack project for reporting this issue.
Upstream acknowledges Romain Le Disez from OVH and Örjan Persson from Kiliaro as the original reporters.

Comment 4 Andrej Nemec 2016-01-21 09:35:14 UTC
Created openstack-swift tracking bugs for this issue:

Affects: fedora-all [bug 1300608]

Comment 5 Andrej Nemec 2016-01-21 09:36:47 UTC
This issue is now public.

Comment 6 errata-xmlrpc 2016-02-08 04:35:56 UTC
This issue has been addressed in the following products:

  OpenStack 6 for RHEL 7

Via RHSA-2016:0128 https://rhn.redhat.com/errata/RHSA-2016-0128.html

Comment 7 errata-xmlrpc 2016-02-08 04:36:41 UTC
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 7

Via RHSA-2016:0127 https://rhn.redhat.com/errata/RHSA-2016-0127.html

Comment 8 errata-xmlrpc 2016-02-08 04:37:51 UTC
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 6

Via RHSA-2016:0126 https://rhn.redhat.com/errata/RHSA-2016-0126.html

Comment 9 errata-xmlrpc 2016-02-09 20:56:58 UTC
This issue has been addressed in the following products:

  OpenStack 7 For RHEL 7

Via RHSA-2016:0155 https://rhn.redhat.com/errata/RHSA-2016-0155.html

Comment 11 errata-xmlrpc 2016-03-01 07:02:33 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.1 for RHEL 6

Via RHSA-2016:0329 https://rhn.redhat.com/errata/RHSA-2016-0329.html

Comment 12 errata-xmlrpc 2016-03-01 07:03:17 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.1 for RHEL 7

Via RHSA-2016:0328 https://rhn.redhat.com/errata/RHSA-2016-0328.html


Note You need to log in before you can comment on or make changes to this bug.